=== debian/control ===
Source: ffmpeg
Section: video
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Reinhard Tartler <siretart@tauware.de>,
           Balint Reczey <balint@balintreczey.hu>,
           James Cowgill <jcowgill@debian.org>,
           Sebastian Ramacher <sramacher@debian.org>
Rules-Requires-Root: no
Homepage: https://ffmpeg.org/
Standards-Version: 4.6.2
Vcs-Git: https://salsa.debian.org/multimedia-team/ffmpeg.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/ffmpeg
Build-Depends-Indep:
# needed to minify the CSS files
                     cleancss,
# Autogenerated documentation
                     doxygen,
# needed to create the CSS files for the HTML manuals
                     node-less,
# generates top level manual page listing
                     tree
Build-Depends:
# autodetected: hwaccels 'cuda_llvm'
               clang [amd64 arm64 i386 ppc64el],
               debhelper-compat (= 13),
# --enable-libflite
               flite1-dev,
# --enable-frei0r
               frei0r-plugins-dev <!pkg.ffmpeg.stage1>,
# --enable-libglslang,
               glslang-dev,
# --enable-ladspa
               ladspa-sdk,
# --enable-libaom
               libaom-dev,
# --enable-libaribb24
               libaribb24-dev,
# --enable-libass
               libass-dev,
               libavc1394-dev [linux-any],
# --enable-libbluray
               libbluray-dev,
# --enable-libbs2b
               libbs2b-dev,
# autodetected: external library 'bzlib'
               libbz2-dev,
# --enable-libcaca
               libcaca-dev,
# --enable-libcdio
               libcdio-paranoia-dev,
# --enable-libchromaprint
               libchromaprint-dev <!pkg.ffmpeg.stage1>,
# --enable-libcodec2
               libcodec2-dev,
# --enable-libdav1d
               libdav1d-dev,
# --enable-libdc1394
               libdc1394-dev [linux-any],
# --enable-libdrm
               libdrm-dev [linux-any],
# autodected: ffnvcodec
               libffmpeg-nvenc-dev [amd64 arm64 i386],
# --enable-libfontconfig
               libfontconfig-dev,
# --enable-libfreetype
               libfreetype-dev,
# --enable-fribidi
               libfribidi-dev,
# --enable-opengl
               libgl-dev,
# --enable-libgme
               libgme-dev,
# --enable-gnutls
               libgnutls28-dev,
# --enable-libgsm
               libgsm1-dev,
# --enable-libharfbuzz
               libharfbuzz-dev,
# Fails to be detected by configure script, if not also libavc1394-dev is installed.
# --enable-libiec61883
               libiec61883-dev [linux-any],
# --enable-libjack
               libjack-jackd2-dev,
# --enable-libjxl
               libjxl-dev [!alpha],
# --enable-lv2
               liblilv-dev,
# autodetected for the tiff decoder
               liblzma-dev,
# --enable-libmp3lame
               libmp3lame-dev,
# --enable-libmysofa
               libmysofa-dev,
# --enable-omx
               libomxil-bellagio-dev,
# --enable-openal
               libopenal-dev,
# --enable-libopencore_amrnb
               libopencore-amrnb-dev,
# --enable-libopencore_amrwb
               libopencore-amrwb-dev,
# --enable-libopenjpeg
               libopenjp2-7-dev (>= 2.1),
# --enable-libopenmpt
               libopenmpt-dev,
# --enable-libopus
               libopus-dev,
# --enable-libplacebo
               libplacebo-dev (>= 4.192) [linux-any] <!pkg.ffmpeg.stage1>,
# --enable-pocketsphinx
               libpocketsphinx-dev (>= 0.8+5prealpha+1-7~) [!alpha !hppa !ia64 !m68k !mips64el !powerpc !ppc64 !s390x !sparc64],
# --enable-libpulse
               libpulse-dev,
# --enable-librabbitmq
               librabbitmq-dev,
# --enable-librav1e
               librav1e-dev [!alpha !hppa !hurd-i386 !ia64 !m68k !sh4 !sparc64 !x32] <!pkg.ffmpeg.stage1>,
# --enable-librist
               librist-dev,
# --enable-librsvg
               librsvg2-dev [!alpha !hppa !hurd-i386 !ia64 !m68k !sh4 !x32],
# --enable-librubberband
               librubberband-dev,
# autodetected: protocol 'sctp'
               libsctp-dev [linux-any],
# --enable-sdl2
               libsdl2-dev,
# --enable-libshine
               libshine-dev (>= 3.0.0),
# --enable-libsmbclient (used only in -extra flavor)
               libsmbclient-dev (>= 4.13) [!hurd-i386],
# --enable-libsnappy
               libsnappy-dev,
# --enable-libsoxr
               libsoxr-dev,
# --enable-libspeex
               libspeex-dev,
# --enable-libsrt
               libsrt-gnutls-dev,
# --enable-libssh
               libssh-gcrypt-dev,
# --enable-libsvtav1
               libsvtav1enc-dev <!pkg.ffmpeg.stage1>,
# --enable-libtesseract (used only in -extra flavor)
               libtesseract-dev,
# --enable-libtheora
               libtheora-dev,
# --enable-libtwolame
               libtwolame-dev,
# This is not necessary, see explanation in debian/rules.
# # --enable-libv4l2
# libv4l-dev [!hurd-any],
# autodetected: hwaccels 'h263_vaapi, mpeg2_vaapi, vc1_vaapi, h264_vaapi, mpeg4_vaapi, wmv3_vaapi'
               libva-dev (>= 1.3) [!hurd-any],
# autodetected: hwaccels 'h263_vdpau, mpeg2_vdpau, vc1_vdpau, h264_vdpau, mpeg4_vdpau, wmv3_vdpau, mpeg1_vdpau', decoders 'h264_vdpau, mpeg1_vdpau, mpeg4_vdpau, mpeg_vdpau, vc1_vdpau, wmv3_vdpau'
               libvdpau-dev,
# --enable-libvidstab
               libvidstab-dev,
# --enable-libvo_amrwbenc
               libvo-amrwbenc-dev,
# --enable-libvorbis
               libvorbis-dev,
# --enable-libvpl
               libvpl-dev [amd64],
# --enable-libvpx
               libvpx-dev,
# autodetected: vulkan
               libvulkan-dev [linux-any],
# --enable-libwebp
               libwebp-dev,
# --enable-libx264
               libx264-dev <!pkg.ffmpeg.stage1>,
# --enable-libx265
               libx265-dev (>= 1.8),
# autodetected libxcb-shape
               libxcb-shape0-dev,
# autodetected libxcb-shm
               libxcb-shm0-dev,
# autodetected libxcb-xfixes
               libxcb-xfixes0-dev,
# --enable-libxml2
               libxml2-dev,
# autodetected xlib
               libxv-dev,
# --enable-libxvid
               libxvidcore-dev,
# --enable-libzimg
               libzimg-dev,
# --enable-libzmq
               libzmq3-dev,
# --enable-libzvbi
               libzvbi-dev,
# assembler optimizations
               nasm,
# --enable-opencl
               ocl-icd-opencl-dev | opencl-dev,
# used to detect libraries
               pkg-config,
# HTML documentation
               texinfo,
# autodetected zlib
               zlib1g-dev

Package: ffmpeg
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: ffmpeg-doc
Description: Tools for transcoding, streaming and playing of multimedia files
 FFmpeg is the leading multimedia framework, able to decode, encode, transcode,
 mux, demux, stream, filter and play pretty much anything that humans and
 machines have created. It supports the most obscure ancient formats up to the
 cutting edge.
 .
 This package contains:
  * ffmpeg: a command line tool to convert multimedia files between formats
  * ffplay: a simple media player based on SDL and the FFmpeg libraries
  * ffprobe: a simple multimedia stream analyzer
  * qt-faststart: a utility to rearrange Quicktime files

Package: ffmpeg-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: libjs-bootstrap, libjs-jquery, ${misc:Depends}
Description: Documentation of the FFmpeg multimedia framework
 FFmpeg is the leading multimedia framework, able to decode, encode, transcode,
 mux, demux, stream, filter and play pretty much anything that humans and
 machines have created. It supports the most obscure ancient formats up to the
 cutting edge.
 .
 This package contains the HTML documentation for the FFmpeg multimedia
 framework including the API documentation created by doxygen and the manpages
 for the libraries.

Package: libavcodec60
Architecture: any
Section: libs
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: libcuda1 [amd64 arm64 i386],
          libnvcuvid1 [amd64 arm64 i386],
          libnvidia-encode1 [amd64 arm64 i386]
Description: FFmpeg library with de/encoders for audio/video codecs - runtime files
 FFmpeg is the leading multimedia framework, able to decode, encode, transcode,
 mux, demux, stream, filter and play pretty much anything that humans and
 machines have created. It supports the most obscure ancient formats up to the
 cutting edge.
 .
 This library provides a generic encoding/decoding framework and
 contains multiple decoders and encoders for audio, video and subtitle streams,
 and several bitstream filters.
 .
 The shared architecture provides various services ranging from bit stream I/O
 to DSP optimizations, and makes it suitable for implementing robust and fast
 codecs as well as for experimentation.
 .
 This package contains the runtime files.

Package: libavcodec-extra60
Architecture: any
Section: libs
Multi-Arch: same
Conflicts: libavcodec60
Provides: libavcodec60 (= ${binary:Version})
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: libcuda1 [amd64 arm64 i386],
          libnvcuvid1 [amd64 arm64 i386],
          libnvidia-encode1 [amd64 arm64 i386]
Description: FFmpeg library with additional de/encoders for audio/video codecs
 FFmpeg is the leading multimedia framework, able to decode, encode, transcode,
 mux, demux, stream, filter and play pretty much anything that humans and
 machines have created. It supports the most obscure ancient formats up to the
 cutting edge.
 .
 This library provides a generic encoding/decoding framework and
 contains multiple decoders and encoders for audio, video and subtitle streams,
 and several bitstream filters.
 .
 The shared architecture provides various services ranging from bit stream I/O
 to DSP optimizations, and makes it suitable for implementing robust and fast
 codecs as well as for experimentation.
 .
 This package replaces the libavcodec60 package and contains the
 following additional codecs:
 .
  * ARIB STD-B24 Captions (Subtitle Decoder)
  * OpenCORE Adaptive Multi-Rate (AMR) Narrow-Band (Encoder/Decoder)
  * OpenCORE Adaptive Multi-Rate (AMR) Wide-Band (Decoder)
  * Android VisualOn Adaptive Multi-Rate (AMR) Wide-Band (Encoder)
 .
 Because this package links against libraries that are licensed under
 Apache License 2.0, the resulting binaries are distributed under the
 GPL version 3 or later.

Package: libavcodec-extra
Architecture: any
Section: metapackages
Multi-Arch: same
Depends: libavcodec-extra60 (= ${binary:Version}), ${misc:Depends}
Description: FFmpeg library with extra codecs (metapackage)
 FFmpeg is the leading multimedia framework, able to decode, encode, transcode,
 mux, demux, stream, filter and play pretty much anything that humans and
 machines have created. It supports the most obscure ancient formats up to the
 cutting edge.
 .
 This metapackage depends on the latest version of the libavcodec variant
 that offers additional codec support. Application packages can depend
 on it if they require or suggest this variant in a robust manner.

Package: libavcodec-dev
Architecture: any
Section: libdevel
Multi-Arch: same
Depends: libavcodec60 (= ${binary:Version}),
         libavutil-dev (= ${binary:Version}),
         libswresample-dev (= ${binary:Version}),
         ${misc:Depends}
Description: FFmpeg library with de/encoders for audio/video codecs - development files
 FFmpeg is the leading multimedia framework, able to decode, encode, transcode,
 mux, demux, stream, filter and play pretty much anything that humans and
 machines have created. It supports the most obscure ancient formats up to the
 cutting edge.
 .
 This library provides a generic encoding/decoding framework and
 contains multiple decoders and encoders for audio, video and subtitle streams,
 and several bitstream filters.
 .
 The shared architecture provides various services ranging from bit stream I/O
