=== debian/changelog ===
ffmpeg (7:6.1.1-3ubuntu5) noble; urgency=medium

  * Rebuild against new librist.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 05 Apr 2024 19:28:52 +0200

ffmpeg (7:6.1.1-3ubuntu4) noble; urgency=medium

  * Rebuild against new librist.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 05 Apr 2024 17:08:11 +0200

ffmpeg (7:6.1.1-3ubuntu3) noble; urgency=medium

  * Rebuild against new libmpg123t64.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 05 Apr 2024 13:58:25 +0200

ffmpeg (7:6.1.1-3ubuntu2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 07:35:03 +0000

ffmpeg (7:6.1.1-3ubuntu1) noble; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Don't use pocketsphinx, librav1e, jpeg-xl on i386 too

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 22 Mar 2024 17:46:22 +0100

ffmpeg (7:6.1.1-3) unstable; urgency=medium

  * debian/:
    - Add build profile pkg.ffmpeg.noextra to disable the build of the -extra
      packages.
    - Disable OpenMAX support
    - Skip more dependencies in pkg.ffmpeg.stage1 build profile

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 22 Mar 2024 07:30:38 +0100

ffmpeg (7:6.1.1-2ubuntu4) noble; urgency=medium

  * No-change rebuild to pick up libvpx.so.9

 -- Lukas Märdian <slyon@ubuntu.com>  Mon, 18 Mar 2024 09:20:34 +0100

ffmpeg (7:6.1.1-2ubuntu2) noble; urgency=medium

  * No-change rebuild against libgnutls30t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 10 Mar 2024 02:04:07 +0000

ffmpeg (7:6.1.1-2ubuntu1) noble; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Don't use pocketsphinx, librav1e, jpeg-xl on i386 too

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 29 Feb 2024 17:13:42 +0100

ffmpeg (7:6.1.1-2) unstable; urgency=medium

  * debian/patches: Fix compilation with glslang 14 (Closes: #1064740)

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 28 Feb 2024 23:26:37 +0100

ffmpeg (7:6.1.1-1ubuntu1) noble; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Don't use pocketsphinx, librav1e, jpeg-xl on i386 too

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 02 Jan 2024 10:04:58 +0100

ffmpeg (7:6.1.1-1) unstable; urgency=medium

  * New upstream version 6.1.1
  * debian/control: Use pkgconf
  * debian/patches: Remove patches included upstream
  * debian/copyright: Remove unused file patterns
  * debian/*.lintian-overrides: Update due renamed tags

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 31 Dec 2023 10:42:58 +0100

ffmpeg (7:6.1-5ubuntu1) noble; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Don't use pocketsphinx, librav1e, jpeg-xl on i386 too

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 03 Dec 2023 09:27:51 +0100

ffmpeg (7:6.1-4ubuntu1) noble; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Don't use pocketsphinx, librav1e, jpeg-xl on i386 too

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 23 Nov 2023 10:01:17 +0100

ffmpeg (7:6.1-3ubuntu1) noble; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Don't use pocketsphinx, librav1e, jpeg-xl on i386 too

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 20 Nov 2023 09:32:19 +0100

ffmpeg (7:6.1-2ubuntu1) noble; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Don't use pocketsphinx, librav1e, jpeg-xl on i386 too

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 13 Nov 2023 10:31:00 +0100

ffmpeg (7:6.0-9ubuntu1) noble; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Don't use pocketsphinx, librav1e, jpeg-xl on i386 too

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 01 Nov 2023 06:33:32 +0100
