## ffmpeg 7.0.2

=== debian/changelog ===
ffmpeg (7:7.0.2-3ubuntu1) oracular; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Don't use pocketsphinx, librav1e, jpeg-xl on i386 too
    - Force gcc-13 on s390x, fixing a failure during build with no log

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 14 Aug 2024 07:51:22 +0200

ffmpeg (7:7.0.2-3) unstable; urgency=medium

  * debian/patches: Apply upstream patch to fix armel/armhf asm builds
  * debian/rules: Revert "Temporarily disable ASM optimizations on armel and
    armhf" (Closes: #1074370)

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 13 Aug 2024 23:04:54 +0200

ffmpeg (7:7.0.2-2ubuntu2) oracular; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Don't use pocketsphinx, librav1e, jpeg-xl on i386 too
    - Force gcc-13 on s390x, fixing a failure during build with no log

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 12 Aug 2024 14:39:22 +0200

ffmpeg (7:7.0.2-2) unstable; urgency=medium

  * debian/patches: Apply patches to avoid VA-API failures with modern Mesa3D
    (Closes: #1072038)

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 05 Aug 2024 23:03:13 +0200

ffmpeg (7:7.0.2-1ubuntu1) oracular; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Don't use pocketsphinx, librav1e, jpeg-xl on i386 too
    - Force gcc-13 on s390x, fixing a failure during build with no log

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 04 Aug 2024 08:27:00 +0200

ffmpeg (7:7.0.2-1) unstable; urgency=medium

  * New upstream version 7.0.2
    - Fix FTBFS on big-endian architectures with gcc 14 (Closes: #1077551)
    - Fix FTBFS on 32 bit architectures with gcc 14
  * debian/rules:
    - Revert "Workaround gcc 14 warnings on big-endian architectures"
    - Revert "Workaround gcc 14 warnings on 32 bit architectures"

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 04 Aug 2024 00:26:53 +0200

ffmpeg (7:7.0.1-5) unstable; urgency=medium

  * debian/rules: Workaround gcc 14 warnings on big-endian architectures

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 30 Jul 2024 11:02:59 +0200

ffmpeg (7:7.0.1-4) unstable; urgency=medium

  * debian/rules: Workaround gcc 14 warnings on 32 bit architectures

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 28 Jul 2024 22:51:12 +0200

ffmpeg (7:7.0.1-3) unstable; urgency=medium

  [ Bastian Germann ]
  * Build with libssh's default flavor

  [ Sebastian Ramacher ]
  * Upload to unstable
  * debian/: Disable libcaca in stage1 (Closes: #1076567)

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 28 Jul 2024 19:13:03 +0200

ffmpeg (7:7.0.1-2) experimental; urgency=medium

  * debian/rules: Temporarily disable ASM optimizations on armel and armhf

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 09 Jul 2024 00:17:43 +0200

ffmpeg (7:7.0.1-1) experimental; urgency=medium

  [ Sebastian Ramacher ]
  * New upstream version 7.0.1
  * debian/: Disable ASM-based optimizations on powerpc and ppc64el
  * debian/tests: Drop one test for nut

  [ Diederik de Haas ]
  * d/tests: Update list_formats for extra output column in ffmpeg 7.0
    (Closes: #1071666)

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 31 May 2024 19:31:33 +0200

ffmpeg (7:7.0-1) experimental; urgency=medium

  * New upstream version 7.0
  * SONAME bumps:
    - libavcodec60 -> libavcodec61
    - libavdevice60 -> libavdevice61
    - libavfilter9 -> libavfilter10
    - libavformat60 -> libavformat61
    - libavutil58 -> libavutil59
    - libpostproc57 -> libpostproc58
    - libswresample4 -> libswresample5
    - libswscale7 -> libswscale8
  * debian/: Enable dvd{nav,read} support
  * debian/:
    - Remove no longer needed patches
    - Add upstream post-release patches to fix some tests and other bugs
  * debian/rules: Ensure symbols files are generated when building with
    pkg.ffmpeg.noextra profile
  * debian/copyright: Update for new upstream release

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 07 Apr 2024 01:08:10 +0200

ffmpeg (7:6.1.1-5ubuntu3) oracular; urgency=medium

  * Rebuild against new librav1e0.7.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 17 Jul 2024 18:59:24 +0200

ffmpeg (7:6.1.1-5ubuntu2) oracular; urgency=medium

  * Rebuild against new libsvtav1enc2.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 10 Jul 2024 16:40:36 +0200

ffmpeg (7:6.1.1-5ubuntu1) oracular; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Don't use pocketsphinx, librav1e, jpeg-xl on i386 too

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 09 Jul 2024 09:32:57 +0200

ffmpeg (7:6.1.1-5) unstable; urgency=medium

  * debian/rules: Temporarily disable ASM optimizations on armel and armhf

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 09 Jul 2024 00:22:10 +0200

ffmpeg (7:6.1.1-4ubuntu3) oracular; urgency=medium

  * Rebuild against latest jpeg-xl

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 10 Jun 2024 19:29:42 -0400

ffmpeg (7:6.1.1-4ubuntu2) oracular; urgency=medium

  * Rebuild against new libjxl0.8.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 24 May 2024 22:31:05 +0200

ffmpeg (7:6.1.1-4ubuntu1) oracular; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Don't use pocketsphinx, librav1e, jpeg-xl on i386 too

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 02 May 2024 15:00:20 +0200

ffmpeg (7:6.1.1-4) unstable; urgency=medium

  * debian/patches: Fix build with more recent mesa (Closes: #1069349)

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 20 Apr 2024 21:34:31 +0200
