=== debian/rules ===
--- 
+++ 
@@ -10,6 +10,11 @@
 
 # sets DEB_HOST_* variables
 include /usr/share/dpkg/architecture.mk
+
+ifeq (s390x,$(DEB_HOST_ARCH))
+	export CC=gcc-13
+	export CXX=g++-13
+endif
 
 # Ubuntu ld adds -Bsymbolic-functions by default, but that prevents FFmpeg from building.
 export DEB_LDFLAGS_MAINT_STRIP=-Wl,-Bsymbolic-functions
@@ -31,12 +36,12 @@
 	--arch=$(DEB_HOST_ARCH_CPU) \
 	--enable-gpl \
 	--disable-stripping \
+	--disable-libmfx \
 	--disable-omx \
 	--enable-gnutls \
 	--enable-libaom \
 	--enable-libass \
 	--enable-libbs2b \
-	--enable-libcaca \
 	--enable-libcdio \
 	--enable-libcodec2 \
 	--enable-libdav1d \
@@ -76,8 +81,9 @@
 CONFIG += --disable-sndio
 
 ifeq (amd64,$(DEB_HOST_ARCH))
-	CONFIG += --enable-libvpl \
-		--disable-libmfx
+	CONFIG += --enable-libvpl
+else
+	CONFIG += --disable-libvpl
 endif
 
 # The standard configuration only uses the shared CONFIG.
@@ -126,7 +132,7 @@
 # - frei0r, which build-depends on opencv.
 # - rav1e and rsvg2 for bootstrap to avoid a complete rust toolchain.
 # - network protocols srt, ssh, zmq, rabbitmq, rist, ...
-# - device access bluray, jack, ...
+# - device access bluray, jack, dvd, ...
 # - optional features pocketsphix, zvbi, ladsap, lv2, sdl2, ...
 ifneq (,$(filter pkg.ffmpeg.stage1,$(DEB_BUILD_PROFILES)))
 	CONFIG += \
@@ -134,6 +140,9 @@
 		--disable-frei0r \
 		--disable-ladspa \
 		--disable-libbluray \
+		--disable-libcaca \
+		--disable-libdvdnav \
+		--disable-libdvdread \
 		--disable-libjack \
 		--disable-libjxl \
 		--disable-libplacebo \
@@ -157,6 +166,9 @@
 		--enable-frei0r \
 		--enable-ladspa \
 		--enable-libbluray \
+		--enable-libcaca \
+		--enable-libdvdnav \
+		--enable-libdvdread \
 		--enable-libjack \
 		--enable-libpulse \
 		--enable-librabbitmq \
@@ -201,18 +213,12 @@
 endif
 endif
 
-# Disable altivec optimizations on powerpc, because they are not always available on this architecture.
-ifeq (powerpc,$(DEB_HOST_ARCH))
-	CONFIG += --disable-altivec
-	# Build an altivec flavor of the libraries on powerpc.
-	# This works around the problem that runtime cpu detection on powerpc currently does not work,
-	# because, if altivec is enabled, all files are build with '-maltivec' so that the compiler inserts altivec instructions, wherever it likes.
-	CONFIG_altivec = --enable-shared \
-		--enable-altivec \
-		--disable-doc \
-		--disable-programs
-	CONFIG_altivec-extra = $(CONFIG_altivec) $(CONFIG_extra)
-	FLAVORS += altivec altivec-extra
+# Disable ASM-based optimizations on powerpc and ppc64el.
+# They are currently not maintained and broken:
+# * https://trac.ffmpeg.org/ticket/9604
+# * https://trac.ffmpeg.org/ticket/10955
+ifneq (,$(filter powerpc ppc64el,$(DEB_HOST_ARCH)))
+	CONFIG += --disable-asm
 endif
 
 # Disable assembly optimizations on x32, because they don't work (yet).
@@ -271,3 +277,6 @@
 
 # Create doxygen documentation:
 override_dh_auto_build-indep:
+	dh_auto_build -i --sourcedirectory=debian/standard -- apidoc documentation
+	# Create the minified CSS files.
+	#  Due to https://github.com/nodejs/node/issues/14752 where nodejs will
